=== debian/changelog ===
telepathy-logger-qt (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Michal Zajac <quintasan@kubuntu.org>  Wed, 01 Aug 2012 00:07:22 +0200
