=== debian/changelog ===
telepathy-logger-qt (0.5.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 26 Aug 2012 12:47:08 +0530
