## telepathy-logger-qt 0.5.1

=== debian/changelog ===
telepathy-logger-qt (0.5.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 05 Oct 2012 03:40:32 +0530
