## telepathy-logger-qt 0.5.2

=== debian/changelog ===
telepathy-logger-qt (0.5.2-0ubuntu3) raring; urgency=low

  * Fix .install file to provide valid CMake development files. (LP: #1110208)

 -- Jacky Alciné <me@jalcine.me>  Wed, 30 Jan 2013 05:10:52 -0500

telepathy-logger-qt (0.5.2-0ubuntu2) raring; urgency=low

  * No-change rebuild for new telepathy-logger version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 03 Jan 2013 11:52:56 -0500

telepathy-logger-qt (0.5.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 19 Dec 2012 00:28:23 +0530
