=== debian/changelog ===
telepathy-logger-qt (0.5.3-0ubuntu1+ppa1) raring; urgency=low

  * New upstream release
    - Don't install cmake stuff, was accidentally released

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 18 Feb 2013 16:30:44 +0530
