## telepathy-logger-qt 0.5.80

=== debian/changelog ===
telepathy-logger-qt (0.5.80-0ubuntu1) raring; urgency=low

  * New upstream release
    - Install cmake files in the -dev package

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 07 Mar 2013 12:24:23 +0000
