=== debian/changelog ===
telepathy-logger-qt (0.6.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Apr 2013 11:14:00 +0100
