=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kde-telepathy/([\d.]+)/src/telepathy-logger-qt-([\d.]+).tar.bz2
