=== debian/changelog ===
telepathy-logger-qt (0.8.0-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Drop 01_no_useless_linking.diff, not required
  * Update install files
  * Update watch file to point at download.kde.org

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 29 Oct 2013 12:09:41 +0100
