=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --parallel --list-missing --dbg-package=libtelepathy-logger-qt4-1-dbg

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=1 -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_clean:
	dh_clean
	rm -f tools/*.pyc
