=== debian/watch ===
version=3

http://download.kde.org/stable/telepathy-logger-qt/([\d.]+)/src/telepathy-logger-qt-([\d.]+).tar.bz2
